Subject: Re: writing to /dev/stderr

From: [email-masked] (Bruce Perens)
Date: Fri, 30 Aug 96 16:11 PDT

> echo test | gawk '{print $0 > "/dev/fd/2";}'
>
> gawk: cmd. line:1: (FILENAME=- FNR=1) fatal: can't redirect to
> `/dev/fd/2' (Permission denied)

There's a kernel bug operating here, I think. If you chmod 666 /dev/fd/2
(from the same console, of course) it shows no change in its mode using
"ls", but you will probably be able to write it. I was able to verify
that I could chmod it to 000 and would get the same no-permission message,
but the mode did not appear to be 000 using "ls".

	Bruce